/* WindowController.h created by andrew on Sat 05-Jul-1997 */


#import <Foundation/NSObject.h>

#import <Foundation/NSGeometry.h>	// for NSPoint


@class NSImage;
@class NSWindow;
@class NSString;


#ifndef IBOutlet
#define IBOutlet
#endif


@interface WindowController : NSObject
{
    NSImage *miniwindowImage;
    IBOutlet NSWindow *window;
}

+ (NSPoint)locationForWindow:(NSWindow *)docWindow;
+ (NSString *)nibName;
+ (NSString *)miniwindowImageName;

- initLazily;	// designated initializer; inits but doesn't load nib

- (void)load;	// override to add anything to the load process (never call manually)
- (void)loadIfNecessary;
- (void)display;

- (BOOL)shouldClose;
- (void)close;

- (void)save;				// this is the one to call
- (void)save:sender;			// target-action version (silently catches exceptions)
- (void)prepareToSaveChanges;		// override this if you need validation, etc
- (void)saveChanges;			// override this to actually save the changes
- (void)finishedSavingChanges;		// override this if you need to do any cleanup

- (void)revert;				// this is the one to call
- (void)revert:sender;			// target-action version (silently catches exceptions)
- (void)prepareToRevertChanges;		// override this if you need any revert preparation
- (void)revertChanges;			// override this to actually revert the changes
- (void)finishedRevertingChanges;	// override this if you need to do any cleanup

@end
