#import <stdlib.h>
#import <string.h>
#import <libc.h>
#import "ProcessAgent.h"
#import "BarView.h"

@implementation ProcessAgent

- (id)initFor:(id)s with:(NSString *)t
{
    [super init];
    supervisor = s;
    target = t;
    timer = [NSTimer scheduledTimerWithTimeInterval:0.5
                                             target:self
                                           selector:@selector(check)
                                           userInfo:nil
                                            repeats:YES];

    [timer fire];
    return self;
}

- (void)invalidate
{
    [timer invalidate];
}

- (void)check
{
    int fd;
    char buf[32];
    char *token = NULL;
    double cur, max;

    buf[31] = '\0';
    strcpy(filename, [target cString]);
    strcat(filename, "/mbox.status");
    if ((fd = open(filename, O_RDONLY)) < 0) return;
    if (read(fd, buf, (sizeof(buf) - 1)) > 0) {
        token = strtok(buf, "/");
        cur = atof(token);
        token = strtok(NULL, "\n");
        max = atof(token);
        if ((cur >= 0) && (cur <= max))
            [supervisor report:(cur / max)];
    }
    close(fd);
    return;
}

@end
